### Hierarchy

- AbstractDecorator
  - RatingDecorator

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId
- renderer

### Methods

- appendContent
- appendSuggest
- init
- render

## Constructors

### Protected constructor

- new AbstractDecorator(renderer: IRenderer): AbstractDecorator

- - Defined in lib/renderer/decorator/AbstractDecorator.ts:6

  #### Parameters

  - ##### renderer: IRenderer

  #### Returns AbstractDecorator

## Properties

### Protected Optional channelId

channelId: undefined | string

- Defined in lib/renderer/decorator/AbstractDecorator.ts:6

### Private renderer

renderer: IRenderer

- Defined in lib/renderer/decorator/AbstractDecorator.ts:5

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:12

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:16

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### init

- init(channelId: undefined | string): void

- Implementation of IRenderer.init

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:20

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  - Defined in lib/renderer/decorator/AbstractDecorator.ts:25

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

Generated using TypeDoc